//+------------------------------------------------------------------+
//|                                                   ATR marker.mq4 |
//|                                                                  |
//|                                                         based on |
//|                                                   ATR Levels.mq4 |
//|                                                    Mike Ischenko |
//|                                            mishanya_fx@yahoo.com |
//+------------------------------------------------------------------+
#property copyright "Mike Ischenko"
#property link      "mishanya_fx@yahoo.com"

#property indicator_chart_window

extern int ATRPeriod = 14;
// added
extern int ATRPeriodlong = 100;
extern color labelcolour = Red;
extern color markercolour = Orange;
extern int label_1_X = 62;
extern int label_1_Y = 0;
extern int label_2_X = 81;
extern int label_2_Y = 0;



double rates_d1[][6];
double H1, H2, H3, H4, H4t, H5, L5, L4, L4t, L3, L2, L1, halfatr, fullatr, todayatr, percent, todayrangepips, yestatr, fullatrpips, longatrpips;
int timeshift=0, timeshifts=0, beginner=0;
int periods;


//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
//----
    return(0);
  }
//+------------------------------------------------------------------+
//| Custor indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//---- TODO: add your code here
 
   
   ObjectDelete("H4atr line");
   ObjectDelete("L4atr line");
   ObjectDelete("L4atr label");
   ObjectDelete("H4atr label");
   ObjectDelete("H4tatr line");
   ObjectDelete("L4tatr line");
   ObjectDelete("L4tatr label");
   ObjectDelete("H4tatr label");   
   ObjectDelete("new label");
   ObjectDelete("barley");
   ObjectDelete("100atr label");
  
  
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int    counted_bars=IndicatorCounted();
   
   //if (counted_bars<1) return(0);
   
   
   switch (Period())
   {
      case PERIOD_M1:  {timeshifts=60; beginner=Hour()*60;} break;
      case PERIOD_M5:  {timeshifts=300; beginner=Hour()*12;} break;
      case PERIOD_M15: {timeshifts=900; beginner=Hour()*4;} break;
      case PERIOD_M30: {timeshifts=1800; beginner=Hour()*2;} break;
      case PERIOD_H1:  {timeshifts=3600; beginner=Hour()*1;} break;
      case PERIOD_H4:  {timeshifts=14400; beginner=Hour()*0.25;} break;
      case PERIOD_D1:  {timeshifts=86400; beginner=Hour()*0;} break;
    }   

   timeshift=timeshifts*24;
   //use the next few lines to restrict visualisation if required
   // if(Period() == PERIOD_H4) return(0);
   // if(Period() == PERIOD_D1) return(0);
   // if(Period() == PERIOD_W1) return(0);
   // if(Period() == PERIOD_MN1) return(0);
   // or change to show only on daily
   // if(Period() != PERIOD_D1) return(0);
   
   
   
   
   if(Period() > 86400)
      {
         Print("Error - Chart period is greater than 1 day.");
         return(-1); // then exit
      }   


   
   ArrayCopyRates(rates_d1, Symbol(), PERIOD_D1);



   //beginner=Hour();
   
            fullatr = iATR(Symbol(), PERIOD_D1, ATRPeriod, 1);
            fullatrpips = iATR(Symbol(), PERIOD_D1, ATRPeriod, 1)/Point;
            
            
            L4 = rates_d1[1][3] - fullatr;   
            H4 = rates_d1[1][2] + fullatr;
            L4t = rates_d1[0][3] - fullatr;   
            H4t = rates_d1[0][2] + fullatr;
            halfatr = fullatr * 0.5;   
 
 // added
           todayatr = iATR(0,PERIOD_D1,1,0);
           yestatr = iATR(0,PERIOD_D1,10,1);
           todayrangepips =  (iHigh(NULL,PERIOD_D1,0)-iLow(NULL,PERIOD_D1,0))/Point;  
           longatrpips = iATR(0,PERIOD_D1,ATRPeriodlong,1)/Point;
                  
            H1 = H4+1.5*fullatr;
            H2 = H4+fullatr;
            H3 = H4+halfatr;
            L3 = L4-halfatr;
            L2 = L4-fullatr;
            L1 = L4-1.5*fullatr;
            
            percent = todayatr*100 / yestatr;


            string Text = "";

//          added
            Text =   "" +  DoubleToStr(todayrangepips,0) + "    " + DoubleToStr(percent,0)+ "%" ;  
            Comment(Text);
            
            



   if (ObjectFind("H4tatr Line") != 0) 
     {
      ObjectCreate("H4tatr line",OBJ_TRIANGLE,0,Time[0],H4t);
      ObjectSet("H4tatr line",OBJPROP_COLOR,markercolour);
      ObjectSet("H4tatr line",OBJPROP_WIDTH,1);
     }
     else
     {
     ObjectMove("H4tatr line", 0,Time[0],H4t);
     }

//this one is the low
   if (ObjectFind("L4tatr Line") != 0) 
     {
      ObjectCreate("L4tatr line",OBJ_TRIANGLE,0,Time[0],L4t);
      ObjectSet("L4tatr line",OBJPROP_COLOR,markercolour);
      ObjectSet("L4tatr line",OBJPROP_WIDTH,1);
     }
     else
     {
     ObjectMove("L4tatr line", 0,Time[0],L4t);
     }






if(ObjectFind("new label") != 0)
     {
     ObjectCreate("new label", OBJ_LABEL, 0,0,0,0,0);
     string golf = string DoubleToStr(fullatrpips, 0);

     ObjectSetText("new label", " " + golf + " " , 7, "Tahoma", labelcolour);     

      }
      else
      {
      ObjectMove("new label", 0, 0, 0);
    
      } 
      // change the x-coordinate
      ObjectSet("new label",OBJPROP_XDISTANCE,label_1_X);
 
      // change the y-coordinate
      ObjectSet("new label",OBJPROP_YDISTANCE,label_1_Y);


///// this makes the 100 period atr label

if(ObjectFind("100atr label") != 0)
     {
     ObjectCreate("100atr label", OBJ_LABEL, 0,0,0,0,0);
     string hockey = string DoubleToStr(longatrpips, 0);

     ObjectSetText("100atr label", "...." + hockey + " " , 7, "Tahoma", labelcolour);     

      }
      else
      {
      ObjectMove("100atr label", 0, 0, 0);
      
      } 
      // change the x-coordinate
      ObjectSet("100atr label",OBJPROP_XDISTANCE,label_2_X);
 
      // change the y-coordinate
      ObjectSet("100atr label",OBJPROP_YDISTANCE,label_2_Y);







        return(0);
  }
//+------------------------------------------------------------------+